List testsets

List all testsets with optional filtering. ## Authentication - API key: `Authorization: Bearer ` ## Request Body ```json Request { "filters": { "name": { "value": "E" } } } ``` ## Examples ```python Python url = "https://api.respan.ai/api/testsets/list" headers = { "Authorization": "Bearer YOUR_API_KEY", "Content-Type": "application/json" } data = { "filters": { "name": { "value": "E" } } } response = requests.post(url, headers=headers, json=data) print(response.json()) ``` ```bash cURL curl -X POST "https://api.respan.ai/api/testsets/list" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "filters": { "name": { "value": "E" } } }' ``` ## Response ```json 200 OK { "count": 1, "results": [ { "id": "testset_id_123", "name": "Example Testset", "description": "Example description" } ] } ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Request

This endpoint expects an object.

Response

Successful response for List testsets

Errors

401
Unauthorized Error